# Generated from storing-1.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name storing

Name: rubygem-%{gem_name}
Version: 1.2.3
Release: 1%{?dist}
Summary: General storage interface
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(guard-minitest) >= 2.0.0
# BuildRequires: rubygem(guard-minitest) < 2.1
# BuildRequires: rubygem(mocha) >= 0.14.0
# BuildRequires: rubygem(mocha) < 0.15
# BuildRequires: rubygem(database_cleaner) >= 1.2.0
# BuildRequires: rubygem(database_cleaner) < 1.3
# BuildRequires: rubygem(sequel) >= 4.3.0
# BuildRequires: rubygem(sequel) < 4.4
# BuildRequires: rubygem(pg) >= 0.17.0
# BuildRequires: rubygem(pg) < 0.18
BuildArch: noarch

%description
Minimal storage interface.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/storing.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 1.2.3-1
- Initial package
